# Manifest file for building a kinterbasdb source or RPM distribution
#
# I listed the files individually because typically, several files relevant
# only to the developers end up sitting around the source directories; there's
# no reason to pass them on to users.
#
# This command is a start, but doesn't catch all, of course:
#    dir /B *.c *.h *.py | sort > temp.txt

# setup-related:
include MANIFEST.in
include setup.cfg
include setup.py
include version.txt

# core-Python:
include __init__.py
include _array_descriptor.py
include _connection_timeout.py
include _request_buffer_builder.py
include k_exceptions.py
include services.py
include typeconv_23plus.py
include typeconv_23plus_lowmem.py
include typeconv_24plus.py
include typeconv_backcompat.py
include typeconv_datetime_mx.py
include typeconv_datetime_naked.py
include typeconv_datetime_stdlib.py
include typeconv_fixed_decimal.py
include typeconv_fixed_fixedpoint.py
include typeconv_fixed_stdlib.py
include typeconv_naked.py
include typeconv_text_unicode.py

# core-C:
include _kiconversion.c
include _kiconversion_array.c
include _kiconversion_blob.c
include _kiconversion_blob_nonstandard.c
include _kiconversion_blob_streaming.c
include _kiconversion_field_precision.c
include _kiconversion_from_db.c
include _kiconversion_to_db.c
include _kiconversion_type_translation.c
include _kicore_connection.c
include _kicore_connection_timeout.c
include _kicore_connection_timeout.h
include _kicore_create_drop_db.c
include _kicore_cursor.c
include _kicore_preparedstatement.c
include _kicore_transaction.c
include _kicore_transaction_distributed.c
include _kicore_transaction_support.c
include _kicore_xsqlda.c
include _kievents.c
include _kievents.h
include _kievents_infra.c
include _kilock.h
include _kimem.h
include _kinterbasdb.c
include _kinterbasdb.h
include _kinterbasdb_constants.c
include _kinterbasdb_exception_functions.c
include _kinterbasdb_exception_functions_without_python.c
include _kinterbasdb_exception_functions_without_python.h
include _kinterbasdb_exceptions.h
include _kiservices.c
include _kiservices.h
include _kisupport.h
include _kisupport_lifo_linked_list.h
include _kisupport_platform.c
include _kisupport_platform.h
include _kisupport_platform_posix.c
include _kisupport_platform_windows.c
include _kisupport_threadsafe_fifo_queue.c
include _kisupport_threadsafe_fifo_queue.h
include _kisupport_time.c


# documentation:
include README
include docs/index.html
include docs/installation.html
include docs/tutorial.html
include docs/Python-DB-API-2.0.html
include docs/python-db-api-compliance.html
include docs/beyond-python-db-api.html
include docs/concurrency.html
include docs/thread-safety-overview.html
include docs/links.html
include docs/changelog.html
include docs/license.html
include docs/genindex.html
include docs/modindex.html
include docs/objects.inv
include docs/search.html
include docs/searchindex.js
include docs/_static/contents.png
include docs/_static/default.css
include docs/_static/doctools.js
include docs/_static/file.png
include docs/_static/jquery.js
include docs/_static/minus.png
include docs/_static/navigation.png
include docs/_static/plus.png
include docs/_static/pygments.css
include docs/_static/rightsidebar.css
include docs/_static/searchtools.js
include docs/_static/sphinxdoc.css
include docs/_static/stickysidebar.css
include docs/_static/traditional.css
include docs/_sources/index.txt
include docs/_sources/installation.txt
include docs/_sources/tutorial.txt
include docs/_sources/Python-DB-API-2.0.txt
include docs/_sources/python-db-api-compliance.txt
include docs/_sources/beyond-python-db-api.txt
include docs/_sources/concurrency.txt
include docs/_sources/thread-safety-overview.txt
include docs/_sources/links.txt
include docs/_sources/changelog.txt
include docs/_sources/license.txt


global-exclude CVS
